package com.brilliance.isc.vo.model;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class TracbsVo extends AbstractCommonVo {

    private CbbVo max;

    private CbbVo max2;

    private CbbVo opn1;

    private CbbVo intclc;

    private CbbVo intset;

    private CbbVo intcpl;

    private CbbVo intacr;

    @Override
    public void reset() {
        if (max == null) {
            max = new CbbVo();
        }
        if (max2 == null) {
            max2 = new CbbVo();
        }
        if (opn1 == null) {
            opn1 = new CbbVo();
        }
        if (intclc == null) {
            intclc = new CbbVo();
        }
        if (intset == null) {
            intset = new CbbVo();
        }
        if (intcpl == null) {
            intcpl = new CbbVo();
        }
        if (intacr == null) {
            intacr = new CbbVo();
        }
    }
}
